The following endpoint is intended to be used for checks immediately before a cancellation, or to be called after receiving a push notification for the Payment Transaction.

Due to full and partial cancellations or refunds, it can be cumbersome to determine the effective amount the customer has to pay. The API endpoint to obtain the current status and the effective amount is GET /api/v2/Payment/Transactions/{id}/checkStatus.

Request
GET /api/v2/Payment/Transactions/PCI_AEVDQO42JC3YHO4PSAZ3CQJU4S0P5A/checkStatus HTTP/1.1
Host: connect-testing.secuconnect.com
Authorization: Bearer qb56tjj1bcvo9n2nj4u38k84lo

The request needs no body. Instead of the secuconnect ID (PCI_xyz), you can also pass the Flex.API hash (like cq1we...).

If everything is fine, the API responds with 200 OK and these details:

Response
HTTP/1.1 200 OK
Content-Type: application/json
 
{
"status": 9,
"status_text": "vorautorisiert",
"status_simple": 2,
"status_simple_text": "authorized",
"amount": 8600,
"currency": "EUR"
}

The fields are:

Field

Type

Meaning

status

int

Status ID

status_text

string

Status text (translated)

status_simple

int

Simple status ID:

  • 1 – Accepted
  • 2 – Authorised

  • 3 – Denied

  • 4 – Issue

  • 5 – Void

  • 6 – Issue resolved

  • 7 – Refund

  • 9 – Paid (requires a special contract setting)

  • 10 – Pending

  • 11 – Subscription approved

  • 12 – Subscription declined

  • 13 – On hold

  • 14 – Waiting for shipment (only invoice payment)

  • 15 – Container authorised

  • 16 – Container denied

status_simple_text

string

Simple status text (English)

amount

int

Effective amount of the transaction including refunds. Like all monetary amounts, it is rendered in the smallest currency unit, e. g. Euro Cents.

Zero (0), when the transaction has been completely cancelled. Otherwise the current transaction amount minus all promising or completed refund transactions.

A more complex example:

  1. Original amount of 50.00 EUR
  2. Partial cancellation of 10.00 EUR — original Payment Transaction is reduced to 40.00 EUR
  3. Payment arrived — original Payment Transaction will stay at 40.00 EUR from now on
  4. Refund of 5.00 EUR — push for refund transaction, checkStatus returns 35.00 EUR
  5. Refund fails (e. g. account dissolved) or gets cancelled in time — push for refund transaction, checkStatus returns 40.00 EUR again

currency

string

ISO 4217 currency code such as EUR or CHF.

See Also